Main Support:       Knowledge Center
Documentation:   ADS Documentation   >  ADS 2023   >  ADS 2023 Quick Install and License Setup   >  ADS 2023 System Requirements

This document contains references to Agilent Technologies. Agilent's former Test and Measurement business has become Keysight Technologies. For more information, go to www.keysight.com.


Skip to end of metadata
Go to start of metadata

ADS 2023 System Requirements

On Windows

Ensure that your hardware and software configuration meets the following minimum hardware and system requirements to install and/or run ADS.

Keysight recommends you to have more than the minimum configuration to effectively work with ADS.

Requirement

Description

64-bit Operating System

Microsoft Windows 10 Enterprise 64-bit edition

Display

1920x1080 display resolution with true color (at least 32bit color)

RAM

32 GB RAM or higher

Web Browser

Microsoft Internet Explorer version 5.5 or higher
Mozilla Firefox 3.3 or higher
Google Chrome 70.x or higher
Acrobat Reader 5.0 or higher (to view PDF files).

Hard Disk

512 GB free disk space or greater

For custom installation, the amount of disk space required depends on the ADS features that you want to install. As you run the ADS installation program, the disk space required for various features is also indicated.

  • Novell file servers are not supported.
  • You need extra temporary space of up to 1.75 GB for self-extracting installation file.

Security Device

ADS software licenses are locked to an external device (FLEXid hardware security key) attached to the PC's USB or parallel port or locked to a PC's LAN ethernet card. Licenses can also be secured to a network server using FLEXlm server software.

Supported Printers

Printers supported by the operating system used.

Internet Access

High-speed internet access is required to download the ADS install file.

Processor

64-bit, multi-core CPU with AVX support

Compiler (only for model development)

C++ and C:
Microsoft Visual Studio 2022

If you are using dynamic User Compile Models (UCM) and upgrading from earlier ADS release, recompilation is required only if the compiler has been upgraded. For example, if you are doing 32-bit models, going from 2009 Update 1 to 2012, the compiler was upgraded so recompilation is required. For static UCM, recompilation is required for every upgrade.

HDL simulator
(required only for HDL cosimulation)

Only Mentor Graphics ModelSim SE Plus 6.3a is supported in 32-bit mode.

MATLAB

Compatible MATLAB versions are 2009a/b, 2010a/b, 2011a/b, 2012a/b, 2013a - must use same bit version as ADS (MATLAB 64-bit with ADS 64-bit). 2008b and earlier may work but are not supported.

On Linux

RequirementLinux
64-bit Operating System (see "Supported Features on 64-bit Operating Systems")Redhat RHEL WS 7, Redhat RHEL WS 8, Novell SUSE SLES 12 (64-bit AMD Opteron and Intel EM64T processors)
Displays1920x1080 display resolution with true color (at least 32bit color)
Processor64-bit, multi-core CPU with AVX support
RAM32 GB RAM or higher
Swap Space1 GB recommended minimum, increased swap space may be required for larger designs.
Hard Disk Space512 GB free disk space or greater
Security DeviceADS software licenses are secured to a network server using FLEXlm server software or locked to an external device (FLEXid hardware security key) locked to a LAN ethernet card.
InternetHigh-speed internet access required to download ADS install files. You can also check the latest documentation and release updates at Keysight EEsof website.
Window ManagerKDE or GNOME
Compiler (required only for model development) (see "User Complied Models")C++:
gcc Version 12.1.0
HDL simulator (required only for HDL cosimulation)These HDL simulators are the latest versions supported on ADS:
- Mentor Graphics ModelSim SE Plus 6.3a
- Cadence NCSim IUS6.2
MATLABCompatible MATLAB versions are 2009a/b, 2010a/b, 2011a/b, 2012a/b, 2013a - must use same bit version as ADS (MATLAB 64-bit with ADS 64-bit or MATLAB 32-bit with ADS 32-bit). 2008b and earlier may work but are not supported.

User Complied Models

For dynamic User Compiled Models (UCMs), recompilation is required only for platforms where the compiler has been upgraded. For example, if you are using models, going from ADS 2016.01 to ADS 2017, the compilers have been upgraded, so recompilation is required.

For static UCMs, recompilation is required for every upgrade.

The following table shows the required compilers for the current releases:

ADS Release

RH Linux

Windows

2023C++: gcc Version 12.1.0Visual Studio 2022
2022C++: gcc Version 10.2.0Visual Studio 2019
2021 Update 2C++: gcc Version 8.2.0Visual Studio 2019
2021 Update 1C++: gcc Version 8.2.0Visual Studio 2019
2021C++: gcc Version 8.2.0Visual Studio 2019
2020C++: gcc Version 8.2.0Visual Studio 2017
2019 Update 1C++: gcc Version 5.3Visual Studio 2015 SP 2
2019C++: gcc Version 5.3Visual Studio 2015 SP 2
2017 Update 1C++: gcc Version 5.3Visual Studio 2015 SP 2
2017

C++: gcc Version 5.3

Visual Studio 2015 SP 2
Please help us improve
Please help us improve
Was this topic helpful? Yes No